var menuState = {
	
	create: function() {
		
		//--------------------------------------------------------------------------------
		//                              CHECKERED BACKGROUND
		//--------------------------------------------------------------------------------
		checkerBackground = game.add.sprite(0, 51, "checkerBackground");
		checkerBackground.animations.add("animate", [0, 1, 2, 3, 4, 5, 6, 7, 8, 9], 25, true);
		checkerBackground.play("animate");
		
		//--------------------------------------------------------------------
		//                              MENU GUI
		//--------------------------------------------------------------------
		menuGUI = game.add.sprite(0, 0, "menuGUI");
		
		//----------------------------------------------------------------------
		//                              MENU TITLE
		//----------------------------------------------------------------------
		title = game.add.sprite(centerX, 130, "title");
		title.anchor.set(0.5);
		game.add.tween(title.scale).to({x:1.04,y:0.9}, 1200, Phaser.Easing.Sinusoidal.InOut).yoyo(true).start().repeat(-1);
		
		//----------------------------------------------------------------------------
		//                              PLAY GAME BUTTON
		//----------------------------------------------------------------------------
		playGameButton = game.add.button(centerX, 230, "playGameButton", playGameFunction, this, 1, 0, 2, 1);
		playGameButton.anchor.setTo(0.5, 0.5);
		playGameButton.events.onInputOver.add(function() { if (!soundsAreMuted && !isMobile) { buttonOver.play(); } });
		playGameButton.events.onInputDown.add(function() { if (!soundsAreMuted) { buttonSelect.play(); } });
		function playGameFunction() {
			if (playLevel == 0 || playLevel == 1) {
				game.state.start("playState");
			} else {
				game.add.tween(playGameDialog.scale).to({x: 1,y: 1}, 500, Phaser.Easing.Elastic.Out, true);
				disableButtons();
			}
		}
		
		//------------------------------------------------------------------------------
		//                              HOW TO PLAY BUTTON
		//------------------------------------------------------------------------------
		howToPlayButton = game.add.button(centerX, 290, "howToPlayButton", howToPlayFunction, this, 1, 0, 2, 0);
		howToPlayButton.anchor.setTo(0.5, 0.5);
		howToPlayButton.events.onInputOver.add(function() { if (!soundsAreMuted && !isMobile) { buttonOver.play(); } });
		howToPlayButton.events.onInputDown.add(function() { if (!soundsAreMuted) { buttonSelect.play(); } });
		function howToPlayFunction() {
			game.add.tween(howToPlayDialog.scale).to({x: 1,y: 1}, 500, Phaser.Easing.Elastic.Out, true);
			disableButtons();
		}
		
		//------------------------------------------------------------------------
		//                              SOUND BUTTON
		//------------------------------------------------------------------------
		soundButton = game.add.button(centerX, 350, "soundButton", null, this);
		soundButton.anchor.setTo(0.5, 0.5);
		function setSoundButtonFrames() {
			if (game.device.desktop && soundsAreMuted) soundButton.setFrames(1, 0, 2, 1);
			if (game.device.desktop && !soundsAreMuted) soundButton.setFrames(4, 3, 5, 4);
			if (!game.device.desktop && soundsAreMuted) soundButton.setFrames(1, 0, 2, 0);
			if (!game.device.desktop && !soundsAreMuted) soundButton.setFrames(4, 3, 5, 3);
		}
		soundButton.events.onInputOver.add(function() { if (!soundsAreMuted && !isMobile) { buttonOver.play(); } });
		soundButton.events.onInputDown.add(function() {
			buttonSelect.play();
			soundsAreMuted = !soundsAreMuted;
			setSoundButtonFrames();
		});
		setSoundButtonFrames();
		
		//----------------------------------------------------------------------------
		//                              MUSIC ON/OFF BUTTON
		//----------------------------------------------------------------------------
		musicButton = game.add.button(centerX, 410, "musicButton", null, this);
		musicButton.anchor.setTo(0.5, 0.5);
		function setMusicButtonFrames() {
			if (game.device.desktop && musicIsMuted) musicButton.setFrames(1, 0, 2, 1);
			if (game.device.desktop && !musicIsMuted) musicButton.setFrames(4, 3, 5, 4);
			if (!game.device.desktop && musicIsMuted) musicButton.setFrames(1, 0, 2, 0);
			if (!game.device.desktop && !musicIsMuted) musicButton.setFrames(4, 3, 5, 3);
		}
		musicButton.events.onInputOver.add(function() { if (!soundsAreMuted && !isMobile) { buttonOver.play(); } });
		musicButton.events.onInputDown.add(function() {
			if (!soundsAreMuted) { buttonSelect.play(); }
			musicIsMuted = !musicIsMuted;
			if (musicIsMuted) { gameMusic.volume = 0.0; } else { gameMusic.volume = 0.8; }
			setMusicButtonFrames();
		});
		setMusicButtonFrames();
		
		//--------------------------------------------------------------------------
		//                              CREDITS BUTTON
		//--------------------------------------------------------------------------
		creditsButton = game.add.button(centerX, 470, "creditsButton", creditsFunction, this, 1, 0, 2, 0);
		creditsButton.anchor.setTo(0.5, 0.5);
		creditsButton.events.onInputOver.add(function() { if (!soundsAreMuted && !isMobile) { buttonOver.play(); } });
		creditsButton.events.onInputDown.add(function() { if (!soundsAreMuted) { buttonSelect.play(); } });
		function creditsFunction() {
			game.add.tween(creditsDialog.scale).to({x: 1,y: 1}, 500, Phaser.Easing.Elastic.Out, true);
			disableButtons();
		}
		
		//-----------------------------------------------------------------------------
		//                              MORE GAMES BUTTON
		//-----------------------------------------------------------------------------
		moreGamesButton = game.add.button(centerX, 530, "moreGamesButton", moreGamesFunction, this, 1, 0, 2, 0);
		moreGamesButton.anchor.setTo(0.5, 0.5);
		moreGamesButton.events.onInputOver.add(function() { if (!soundsAreMuted && !isMobile) { buttonOver.play(); } });
		moreGamesButton.events.onInputDown.add(function() { if (!soundsAreMuted) { buttonSelect.play(); } });
		function moreGamesFunction() {
			window.open("");
		}
		
		//---------------------------------------------------------------------------------------
		//                              DISABLE/ENABLE MENU BUTTONS
		//---------------------------------------------------------------------------------------
		function disableButtons() {
			playGameButton.inputEnabled = false;
			howToPlayButton.inputEnabled = false;
			soundButton.inputEnabled = false;
			musicButton.inputEnabled = false;
			creditsButton.inputEnabled = false;
			moreGamesButton.inputEnabled = false;
		}
		
		function enableButtons() {
			playGameButton.inputEnabled = true;
			howToPlayButton.inputEnabled = true;
			soundButton.inputEnabled = true;
			musicButton.inputEnabled = true;
			creditsButton.inputEnabled = true;
			moreGamesButton.inputEnabled = true;
		}
		
		//----------------------------------------------------------------------------
		//                              PLAY GAME DIALOG
		//----------------------------------------------------------------------------
		playGameDialog = game.add.sprite(centerX, centerY-10, "playGameDialog");
		playGameDialog.anchor.set(0.5);
		
		//========== CONTINUE BUTTON ==========
		continueGameButton = game.add.button(0, -9, "continueGameButton", continueGameFunction, this, 1, 0, 2, 1);
		continueGameButton.anchor.setTo(0.5, 0.5);
		continueGameButton.events.onInputOver.add(function() { if (!soundsAreMuted && !isMobile) { buttonOver.play(); } });
		continueGameButton.events.onInputDown.add(function() { if (!soundsAreMuted) { buttonSelect.play(); } });
		function continueGameFunction() {
			game.state.start("playState");
		}
		playGameDialog.addChild(continueGameButton);
		
		//========== NEW GAME BUTTON ==========
		newGameButton = game.add.button(0, 57, "newGameButton", newGameFunction, this, 1, 0, 2, 1);
		newGameButton.anchor.setTo(0.5, 0.5);
		newGameButton.events.onInputOver.add(function() { if (!soundsAreMuted && !isMobile) { buttonOver.play(); } });
		newGameButton.events.onInputDown.add(function() { if (!soundsAreMuted) { buttonSelect.play(); } });
		function newGameFunction() {
			playLevel = 0;
			score = 0;
			game.state.start("playState");
		}
		playGameDialog.addChild(newGameButton);
		
		playGameDialog.scale.set(0);
		
		//------------------------------------------------------------------------------
		//                              HOW TO PLAY DIALOG
		//------------------------------------------------------------------------------
		howToPlayDialog = game.add.sprite(centerX, centerY, "howToPlayDialog");
		howToPlayDialog.anchor.set(0.5);
		howToPlayDialog.inputEnabled = true;
		
		//========== HOW TO PLAY MESSAGE ==========
		if (game.device.desktop) {
			howToPlayKeys = game.add.sprite(0, 38, "howToPlayKeys");
			howToPlayKeys.anchor.set(0.5);
			howToPlayDialog.addChild(howToPlayKeys);
		} else {
			howToPlaySwipe = game.add.sprite(0, 38, "howToPlaySwipe");
			howToPlaySwipe.anchor.set(0.5);
			howToPlayDialog.addChild(howToPlaySwipe);
		}
		
		//========== CLOSE BUTTON ==========
		closeButton1 = game.add.button(0, 117, "closeButton", closeFunction1, this, 1, 0, 2, 1);
		closeButton1.anchor.setTo(0.5, 0.5);
		closeButton1.events.onInputOver.add(function() { if (!soundsAreMuted && !isMobile) { buttonOver.play(); } });
		closeButton1.events.onInputDown.add(function() { if (!soundsAreMuted) { buttonSelect.play(); } });
		function closeFunction1() {
			game.add.tween(howToPlayDialog.scale).to({x: 0,y: 0}, 100, Phaser.Easing.Linear.None, true);
			enableButtons();
		}
		howToPlayDialog.addChild(closeButton1);
		
		howToPlayDialog.scale.set(0);
		
		//--------------------------------------------------------------------------
		//                              CREDITS DIALOG
		//--------------------------------------------------------------------------
		creditsDialog = game.add.sprite(centerX, centerY, "creditsDialog");
		creditsDialog.anchor.set(0.5);
		creditsDialog.inputEnabled = true;
		
		//========== CLOSE BUTTON ==========
		closeButton = game.add.button(0, 85, "closeButton", closeFunction, this, 1, 0, 2, 1);
		closeButton.anchor.setTo(0.5, 0.5);
		closeButton.events.onInputOver.add(function() { if (!soundsAreMuted && !isMobile) { buttonOver.play(); } });
		closeButton.events.onInputDown.add(function() { if (!soundsAreMuted) { buttonSelect.play(); } });
		function closeFunction() {
			game.add.tween(creditsDialog.scale).to({x: 0,y: 0}, 100, Phaser.Easing.Linear.None, true);
			enableButtons();
		}
		creditsDialog.addChild(closeButton);
		
		creditsDialog.scale.set(0);
	},
	
	
	update: function () {
		
		// CODE HERE
	
	}
	
}
